Subject: bug#10991: syntax-local-binding does not play well with fluid-let-syntax

From: Stefan Israelsson Tampe <[email-masked]>
Date: Fri, 6 Jul 2012 21:03:42 +0200

Ok, I'm not using this at the moment so I can wait for master to become
guile-2.2.

I do not know yet why this complexity is needed though (I asked on the
racket channel but
could not make anything useful out of the comments) Best to leave it as you
suggest.

/Regards
Stefan

On Fri, Jul 6, 2012 at 11:25 AM, Andy Wingo <[email-masked]> wrote:

> Hi Stefan,
>
> Sorry for the late reply.
>
> On Sun 11 Mar 2012 12:47, Stefan Israelsson Tampe <[email-masked]>
> writes:
>
> > ;;This shows that f rebounds to yield #t but the info returns %f
> > (eq?
> >  (fluid-let-syntax ((f (lambda x #'#t)))
> >    (pk (f 1))
> >    (info f))
> >  %f)
>
> This is by design.  This is as in Racket, where there is a difference
> between syntax-local-value and syntax-parameter-value.  In master, there
> is an additional parameter to resolve-identifier,
> `resolve-syntax-parameters?'.
>
> Suggestion: if you want this, add a similar parameter to psyntax.scm in
> stable-2.0, and in both branches plumb it through to a keyword argument
> on syntax-local-binding.  Update the docs, too :)  You had the
> beginnings of a patch on bug 10992.
>
> Thanks!
>
> Andy
> --
> http://wingolog.org/
>